// 
// lat - CreateEntryHowtoDialog.cs
// Author: Loren Bandiera
// Copyright 2005-2006 MMG Security, Inc.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; Version 2 
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//

using Gtk;
using System;
using Novell.Directory.Ldap;

namespace lat
{	
	public class CreateEntryHowtoDialog : Gtk.Dialog
	{
		Connection conn;
		ComboBox templateComboBox;
		string dn;
	
		protected Gtk.RadioButton templateRadioButton;
		protected Gtk.RadioButton entryRadioButton;
		protected Gtk.HBox comboHBox;

		
		public CreateEntryHowtoDialog(Connection connection, string dn)
		{
			Stetic.Gui.Build(this, typeof(lat.CreateEntryHowtoDialog));
			
			conn = connection;
			this.dn = dn;
			
			CreateCombo ();
			
			entryRadioButton.Label += String.Format ("\n({0})", dn);
		}

		void CreateCombo ()
		{
			templateComboBox = ComboBox.NewText ();
	
			string[] templates = Global.Templates.GetTemplateNames ();
			foreach (string s in templates)
				templateComboBox.AppendText (s);

			templateComboBox.Active = 0;
			templateComboBox.Show ();

			comboHBox.PackStart (templateComboBox, true, true, 10);
		}

		protected virtual void OnOkClicked(object sender, System.EventArgs e)
		{
			if (templateRadioButton.Active) {

				TreeIter iter;						
				if (!templateComboBox.GetActiveIter (out iter))
					return;

				string name = (string) templateComboBox.Model.GetValue (iter, 0);
				Template t = Global.Templates.Lookup (name);

				CreateEntryDialog cd = new CreateEntryDialog (conn, t);
				cd.Run ();
				cd.Destroy ();

			} else {

				if (dn == conn.Settings.Host)
					return;

				CreateEntryDialog cd = new CreateEntryDialog (conn, conn.Data.GetEntry (dn));
				cd.Run ();
				cd.Destroy ();
			}		
		}
	}
}
