// 
// lat - Defines.cs
// Author: Loren Bandiera
// Copyright 2005 MMG Security, Inc.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//

using System;
using System.IO;
using System.Xml;

namespace lat 
{
	public static class Defines
	{
		public static string PACKAGE = "lat";
		public static string VERSION = "1.3.2";
		public static string LOCALE_DIR = "/usr/local/share/locale";
		public static string SYS_PLUGIN_DIR = "/usr/local/lib/lat/plugins";

		public static string[] AB_AUTHOR = { "Loren Bandiera" };
		public static string[] AB_DOCS = { "Loren Bandiera" };
		public static string AB_TRANSLATORS = "Pablo Borges (pt_BR)\nThomas Constans (fr_FR)";
		public static string AB_DESCRIPTION = "LDAP Administration Tool";
		public static string AB_COPYRIGHT = "Copyright \xa9 2005-2006 MMG Security Inc.";

		public static string ConfigDirectory		
		{
			get {
				string homeDir = Environment.GetFolderPath(Environment.SpecialFolder.Personal); 
				string latDir = Path.Combine (homeDir, ".lat");
			
				return latDir;
			}
		}
	}
}
