// 
// lat - GtkLdapMatchingRuleSchema.cs
// Author: Loren Bandiera
// Copyright 2005 MMG Security, Inc.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; Version 2 .
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//

using System;
using Gtk;
using Novell.Directory.Ldap;
using Novell.Directory.Ldap.Rfc2251;
using Novell.Directory.Ldap.Utilclass;

namespace lat
{	
	public class GtkLdapMatchingRuleSchema : Gtk.VBox
	{
		protected Gtk.Entry nameEntry;
		protected Gtk.Entry oidEntry;
		protected Gtk.Entry syntaxEntry;
		
		public GtkLdapMatchingRuleSchema()
		{					
			HBox h = new HBox ();
			h.BorderWidth = 6;
			h.Spacing = 6;
			this.PackStart (h, false, false, 0);
			
			VBox v = new VBox ();
			v.Spacing = 6;
			h.PackStart (v, false, false, 0);
			
			Label l = new Label ("Name:");
			l.Xalign = 0;
			v.PackStart (l, true, false, 0);
			
			l = new Label ("OID:");
			l.Xalign = 0;
			v.PackStart (l, true, false, 0);

			l = new Label ("Syntax:");
			l.Xalign = 0;
			v.PackStart (l, true, false, 0);
			
			v = new VBox ();
			v.Spacing = 6;
			h.PackStart (v, true, true, 0);
			
			nameEntry = new Entry();
			nameEntry.Show ();
			v.PackStart (nameEntry, true, true, 0);

			oidEntry = new Entry();
			oidEntry.Show ();
			v.PackStart (oidEntry, true, true, 0);

			syntaxEntry = new Entry();
			syntaxEntry.Show ();
			v.PackStart (syntaxEntry, true, true, 0);

			this.ShowAll ();
		}
		
		public void Clear ()
		{
			nameEntry.Text = "";
			oidEntry.Text = "";
			syntaxEntry.Text = "";
		}
		
		public void Show (SchemaParser sp)
		{
			try {

				nameEntry.Text = sp.Names[0];
				oidEntry.Text = sp.ID;
				syntaxEntry.Text = sp.Syntax;
						
			} catch (Exception e) {
				Log.Debug (e);
			}
		}
	}
}
