// 
// lat - TimeDateDialog.cs
// Author: Loren Bandiera
// Copyright 2005 MMG Security, Inc.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; Version 2 
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//

using Gtk;
using System;

namespace lat
{
	public class TimeDateDialog : Gtk.Dialog
	{
		protected double unixTime = 0;
		
		protected Gtk.SpinButton hourSpin;
		protected Gtk.SpinButton minuteSpin;
		protected Gtk.SpinButton secondSpin;
		protected Gtk.Calendar calendar;

		
		public TimeDateDialog()
		{
			Stetic.Gui.Build(this, typeof(lat.TimeDateDialog));
		}

		public double UnixTime
		{
			get { return unixTime; }
		}

		protected virtual void OnOkClicked(object sender, System.EventArgs e)
		{
			int hour = Convert.ToInt32 (hourSpin.Value);
			int minute = Convert.ToInt32 (minuteSpin.Value);
			int second = Convert.ToInt32 (secondSpin.Value);

			DateTime dt = calendar.GetDate ();

			DateTime userDT = new DateTime (dt.Year, dt.Month, dt.Day, hour, minute, second);
			unixTime = Util.GetUnixTime (userDT); 		
		}
		

	}
}
