// 
// lat - JpegAttributeViewer.cs
// Author: Loren Bandiera
// Copyright 2006 MMG Security, Inc.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; Version 2 
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//

using System;
using Gtk;
using Jpeg.Gui;

namespace lat {

	public class JpegAttributeViewPlugin : AttributeViewPlugin
	{
		byte[] jpegData = null;
	
		public JpegAttributeViewPlugin () : base ()
		{
		}
	
		public override void OnActivate (string attributeName, string attributeData)
		{
		}
		
		public override void OnActivate (string attributeName, byte[] attributeData)
		{
			jpegData = null;
			
			JpegViewDialog dlg = new JpegViewDialog (attributeData);
			dlg.Run ();
						
			jpegData = dlg.RawFileBytes;
			
			dlg.Destroy ();
		}

		public override ViewerDataType DataType 
		{
			get { return ViewerDataType.Binary; }
		}

		public override string StringValue 
		{
			get { return null; }
		}
		
		public override byte[] ByteValue 
		{
			get { return jpegData; }
		}
		
		public override string[] AttributeNames 
		{
			get { return new string[] { "jpegPhoto"}; }
		}	
			
		public override string[] Authors 
		{
			get {
				string[] cols = { "Loren Bandiera" };
				return cols;
			}
		}
		
		public override string Copyright 
		{ 
			get { return "MMG Security, Inc."; } 
		}
		
		public override string Description 
		{ 
			get { return "JPEG Attribute Viewer"; } 
		}
		
		public override string Name 
		{ 
			get { return "JPEG Attribute Viewer"; } 
		}
		
		public override string Version 
		{ 
			get { return Defines.VERSION; } 
		}
	}
}